/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.actions.exchange;

/**
 * Describes the result of an executed action.
 *
 * @author Guillaume Renault
 */
public class ActionResult {

    /**
     * The name of the action.
     */
    private String name;

    /**
     * The type of the action.
     */
    private String type;

    /**
     * The result of the action.
     */
    private Object result;

    /**
     * Default constructor.
     */
    public ActionResult() {

    }

    /**
     * Constructor using class fields.
     *
     * @param name The name of the action.
     * @param type The type of the action.
     * @param result The result of the action.
     */
    public ActionResult(final String name, final String type, final Object result) {
        super();
        this.name = name;
        this.type = type;
        this.result = result;
    }

    /**
     * @return the action
     */
    public String getName() {
        return name;
    }

    /**
     * @param  the action to set
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(final String type) {
        this.type = type;
    }

    /**
     * @return the result
     */
    public Object getResult() {
        return result;
    }

    /**
     * @param result the result to set
     */
    public void setResult(final Object result) {
        this.result = result;
    }

}
